Skip to content
LogoLogo

Group

GroupInfo

GET/cosmos/group/v1/group_info/{group_id}

GroupInfo queries group info based on group id.

Path Parameters

group_idRequired
string <uint64>

group_id is the unique ID of the group.

Responses

GroupMembers

GET/cosmos/group/v1/group_members/{group_id}

GroupMembers queries members of a group by group id.

Path Parameters

group_idRequired
string <uint64>

group_id is the unique ID of the group.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

GroupPoliciesByAdmin

GET/cosmos/group/v1/group_policies_by_admin/{admin}

GroupPoliciesByAdmin queries group policies by admin address.

Path Parameters

adminRequired
string

admin is the admin address of the group policy.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

GroupPoliciesByGroup

GET/cosmos/group/v1/group_policies_by_group/{group_id}

GroupPoliciesByGroup queries group policies by group id.

Path Parameters

group_idRequired
string <uint64>

group_id is the unique ID of the group policy's group.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

GroupPolicyInfo

GET/cosmos/group/v1/group_policy_info/{address}

GroupPolicyInfo queries group policy info based on account address of group policy.

Path Parameters

addressRequired
string

address is the account address of the group policy.

Responses

Groups

GET/cosmos/group/v1/groups

Groups queries all groups in state.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

GroupsByAdmin

GET/cosmos/group/v1/groups_by_admin/{admin}

GroupsByAdmin queries groups by admin address.

Path Parameters

adminRequired
string

admin is the account address of a group's admin.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

GroupsByMember

GET/cosmos/group/v1/groups_by_member/{address}

GroupsByMember queries groups by member address.

Path Parameters

addressRequired
string

address is the group member address.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

Proposal

GET/cosmos/group/v1/proposal/{proposal_id}

Proposal queries a proposal based on proposal id.

Path Parameters

proposal_idRequired
string <uint64>

proposal_id is the unique ID of a proposal.

Responses

TallyResult

GET/cosmos/group/v1/proposals/{proposal_id}/tally

TallyResult returns the tally result of a proposal. If the proposal is still in voting period, then this query computes the current tally state, which might not be final. On the other hand, if the proposal is final, then it simply returns the final_tally_result state stored in the proposal itself.

Path Parameters

proposal_idRequired
string <uint64>

proposal_id is the unique id of a proposal.

Responses

ProposalsByGroupPolicy

GET/cosmos/group/v1/proposals_by_group_policy/{address}

ProposalsByGroupPolicy queries proposals based on account address of group policy.

Path Parameters

addressRequired
string

address is the account address of the group policy related to proposals.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

VoteByProposalVoter

GET/cosmos/group/v1/vote_by_proposal_voter/{proposal_id}/{voter}

VoteByProposalVoter queries a vote by proposal id and voter.

Path Parameters

proposal_idRequired
string <uint64>

proposal_id is the unique ID of a proposal.

voterRequired
string

voter is a proposal voter account address.

Responses

VotesByProposal

GET/cosmos/group/v1/votes_by_proposal/{proposal_id}

VotesByProposal queries a vote by proposal id.

Path Parameters

proposal_idRequired
string <uint64>

proposal_id is the unique ID of a proposal.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses

VotesByVoter

GET/cosmos/group/v1/votes_by_voter/{voter}

VotesByVoter queries a vote by voter.

Path Parameters

voterRequired
string

voter is a proposal voter account address.

Query Parameters

pagination.key
string

key is a value returned in PageResponse.next_key to begin querying the next page most efficiently. Only one of offset or key should be set.

pagination.offset
string <uint64>

offset is a numeric offset that can be used when key is unavailable. It is less efficient than using key. Only one of offset or key should be set.

pagination.limit
string <uint64>

limit is the total number of results to be returned in the result page. If left empty it will default to a value to be set by each app.

pagination.count_total
boolean

count_total is set to true to indicate that the result set should include a count of the total number of items available for pagination in UIs. count_total is only respected when offset is used. It is ignored when key is set.

pagination.reverse
boolean

reverse is set to true if results are to be returned in the descending order.

Responses